petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscOptionsPrefixPush

Designate a prefix to be used by all options insertions to follow.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscOptionsPrefixPush(PetscOptions options,const char prefix[])

Not Collective, but prefix will only be applied on calling ranks

### Input Parameter

| options | - options database, or NULL for the default global database
| prefix | - The string to append to the existing prefix

### Options Database Keys

+ -prefix_push <some_prefix_> - push the given prefix - -prefix_pop - pop the last prefix

### Notes

It is common to use this in conjunction with -options_file as in

$ -prefix_push system1_ -options_file system1rc -prefix_pop -prefix_push system2_ -options_file system2rc -prefix_pop

where the files no longer require all options to be prefixed with -system2_.

### See Also

PetscOptionsPrefixPop()

Level:advanced
Location:src/sys/objects/options.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages